package com.ruoyi.system.mapper.stamp;


import com.ruoyi.system.domain.stamp.CarDinnerExamineUser;
import com.ruoyi.system.domain.stamp.CarDinnerExamineUserExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CarDinnerExamineUserMapper {
    long countByExample(CarDinnerExamineUserExample example);

    int deleteByExample(CarDinnerExamineUserExample example);

    int deleteByPrimaryKey(String id);

    int insert(CarDinnerExamineUser record);

    int insertSelective(CarDinnerExamineUser record);

    List<CarDinnerExamineUser> selectByExample(CarDinnerExamineUserExample example);

    CarDinnerExamineUser selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CarDinnerExamineUser record, @Param("example") CarDinnerExamineUserExample example);

    int updateByExample(@Param("record") CarDinnerExamineUser record, @Param("example") CarDinnerExamineUserExample example);

    int updateByPrimaryKeySelective(CarDinnerExamineUser record);

    int updateByPrimaryKey(CarDinnerExamineUser record);
}